メインコンテンツへスキップ
GET
https://{tenantDomain}/api/v2
/
keys
/
encryption
C#
using Auth0.ManagementApi;
using System.Threading.Tasks;
using Auth0.ManagementApi.Keys;

public partial class Examples
{
    public async Task Example() {
        var client = new ManagementClient(
            token: "<token>"
        );

        await client.Keys.Encryption.ListAsync(
            new ListEncryptionKeysRequestParameters {
                Page = 1,
                PerPage = 1,
                IncludeTotals = true
            }
        );
    }

}
package example

import (
    context "context"

    management "github.com/auth0/go-auth0/management/management"
    client "github.com/auth0/go-auth0/management/management/client"
    keys "github.com/auth0/go-auth0/management/management/keys"
    option "github.com/auth0/go-auth0/management/management/option"
)

func do() {
    client := client.NewClient(
        option.WithToken(
            "<token>",
        ),
    )
    request := &keys.ListEncryptionKeysRequestParameters{
        Page: management.Int(
            1,
        ),
        PerPage: management.Int(
            1,
        ),
        IncludeTotals: management.Bool(
            true,
        ),
    }
    client.Keys.Encryption.List(
        context.TODO(),
        request,
    )
}
package com.example.usage;

import com.auth0.client.mgmt.ManagementApi;
import com.auth0.client.mgmt.resources.keys.encryption.requests.ListEncryptionKeysRequestParameters;

public class Example {
    public static void main(String[] args) {
        ManagementApi client = ManagementApi
            .builder()
            .token("<token>")
            .build();

        client.keys().encryption().list(
            ListEncryptionKeysRequestParameters
                .builder()
                .page(1)
                .perPage(1)
                .includeTotals(true)
                .build()
        );
    }
}
<?php

namespace Example;

use Auth0\SDK\API\Management\Management;
use Auth0\SDK\API\Management\Keys\Encryption\Requests\ListEncryptionKeysRequestParameters;

$client = new Management(
    token: '<token>',
);
$client->keys->encryption->list(
    new ListEncryptionKeysRequestParameters([
        'page' => 1,
        'perPage' => 1,
        'includeTotals' => true,
    ]),
);
from auth0.management import ManagementClient

client = ManagementClient(
    token="<token>",
)

client.keys.encryption.list(
    page=1,
    per_page=1,
    include_totals=True,
)
require "auth0"

client = Auth0::Management.new(token: "<token>")

client.keys.encryption.list(
  page: 1,
  per_page: 1,
  include_totals: true
)
import { ManagementClient } from "auth0";

async function main() {
    const client = new ManagementClient({
        token: "<token>",
    });
    await client.keys.encryption.list({
        page: 1,
        perPage: 1,
        includeTotals: true,
    });
}
main();
import { ManagementClient } from "auth0";

async function main() {
    const client = new ManagementClient({
        token: "<token>",
    });
    await client.keys.encryption.list({
        page: 1,
        perPage: 1,
        includeTotals: true,
    });
}
main();
curl --request GET \
  --url https://{tenantDomain}/api/v2/keys/encryption \
  --header 'Authorization: Bearer <token>'
[
  {
    "kid": "<string>",
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z",
    "parent_kid": "<string>",
    "public_key": "<string>"
  }
]

承認

Authorization
string
header
必須

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

クエリパラメータ

page
integer

Page index of the results to return. First page is 0.

必須範囲: x >= 0
per_page
integer

Number of results per page. Default value is 50, maximum value is 100.

必須範囲: 1 <= x <= 100
include_totals
boolean

Return results inside an object that contains the total result count (true) or as a direct array of results (false, default).

レスポンス

The keys were successfully retrieved.

Encryption key

kid
string
必須

Key ID

type
enum<string>
必須

Key type

利用可能なオプション:
customer-provided-root-key,
environment-root-key,
tenant-master-key,
tenant-encryption-key
state
enum<string>
必須

Key state

利用可能なオプション:
pre-activation,
active,
deactivated,
destroyed
created_at
string<date-time>
必須

Key creation timestamp

updated_at
string<date-time>
必須

Key update timestamp

parent_kid
string | null

ID of parent wrapping key

public_key
string | null

Public key in PEM format